Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class RoundRectangle2D

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.RoundRectangle2D

All Implemented Interfaces:
  Cloneable, Shape

Direct Known Subclasses:
  RoundRectangle2D.Double, RoundRectangle2D.Float

public abstract class RoundRectangle2D
extends RectangularShape

The `RoundRectangle2D` class defines a rectangle with rounded corners defined by a location (x, y), a dimension (w x h), and the width and height of an arc with which to round the corners.

This class is the abstract superclass for all objects that store a 2D rounded rectangle. The actual storage representation of the coordinates is left to the subclass.

Inner Class Summary
`static class` | `RoundRectangle2D.Double` The `Double` class defines a rectangle with rounded corners all specified in `double` coordinates.
`static class` | `RoundRectangle2D.Float` The `Float` class defines a rectangle with rounded corners all specified in `float` coordinates.

Constructor Summary
`protected` | `RoundRectangle2D()` This is an abstract class that cannot be instantiated directly.

Method Summary
`boolean` | `contains(double x, double y)` Tests if the specified coordinates are inside the boundary of this `RoundRectangle2D`.
`boolean` | `contains(double x, double y, double w, double h)` Tests if the interior of this `RoundRectangle2D` entirely contains the specified set of rectangular coordinates.
`abstract double` | `getArcHeight()` Gets the height of the arc that rounds off the corners.
`abstract double` | `getArcWidth()` Gets the width of the arc that rounds off the corners.
`PathIterator` | `getPathIterator(AffineTransform at)` Returns an iteration object that defines the boundary of this `RoundRectangle2D`.
`boolean` | `intersects(double x, double y, double w, double h)` Tests if the interior of this `RoundRectangle2D` intersects the interior of a specified set of rectangular coordinates.
`void` | `setFrame(double x, double y, double w, double h)` Sets the location and size of the outer bounds of this `RoundRectangle2D` to the specified rectangular values.
`abstract void` | `setRoundRect(double x, double y, double w, double h, double arcWidth, double arcHeight)` Sets the location, size, and corner radii of this `RoundRectangle2D` to the specified `double` values.
`void` | `setRoundRect(RoundRectangle2D rr)` Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getHeight, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, getWidth, getX, getY, intersects, isEmpty, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`getBounds2D`

Constructor Detail

### RoundRectangle2D

    protected RoundRectangle2D()

  This is an abstract class that cannot be instantiated directly. Type-specific implementation subclasses are available for instantiation and provide a number of formats for storing the information necessary to satisfy the various accessor methods below.
  See Also:
    `RoundRectangle2D.Float`, `RoundRectangle2D.Double`

Method Detail

### getArcWidth

    public abstract double getArcWidth()

  Gets the width of the arc that rounds off the corners.
  Returns:
    the width of the arc that rounds off the corners of this `RoundRectangle2D`.

### getArcHeight

    public abstract double getArcHeight()

  Gets the height of the arc that rounds off the corners.
  Returns:
    the height of the arc that rounds off the corners of this `RoundRectangle2D`.

### setRoundRect

    public abstract void setRoundRect(double x,
                                      double y,
                                      double w,
                                      double h,
                                      double arcWidth,
                                      double arcHeight)

  Sets the location, size, and corner radii of this `RoundRectangle2D` to the specified `double` values.
  Parameters:
    `x, y` - the coordinates to which to set the location of this `RoundRectangle2D`
    `w` - the width to which to set this `RoundRectangle2D`
    `h` - the height to which to set this `RoundRectangle2D`
    `arcWidth` - the width to which to set the arc of this `RoundRectangle2D`
    `arcHeight` - the height to which to set the arc of this `RoundRectangle2D`

### setRoundRect

    public void setRoundRect(RoundRectangle2D rr)

  Sets this `RoundRectangle2D` to be the same as the specified `RoundRectangle2D`.
  Parameters:
    `rr` - the specified `RoundRectangle2D`

### setFrame

    public void setFrame(double x,
                         double y,
                         double w,
                         double h)

  Sets the location and size of the outer bounds of this `RoundRectangle2D` to the specified rectangular values.
  Overrides:
    `setFrame` in class `RectangularShape`
  Parameters:
    `x, y` - the coordinates to which to set the location of this `RoundRectangle2D`
    `w` - the width to which to set this `RoundRectangle2D`
    `h` - the height to which to set this `RoundRectangle2D`

### contains

    public boolean contains(double x,
                            double y)

  Tests if the specified coordinates are inside the boundary of this `RoundRectangle2D`.
  Parameters:
    `x, y` - the coordinates to test
  Returns:
    `true` if the specified coordinates are inside the boundary of this `RoundRectangle2D`; `false` otherwise.

### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

  Tests if the interior of this `RoundRectangle2D` intersects the interior of a specified set of rectangular coordinates.
  Parameters:
    `x, y` - the coordinates of the upper left corner of the specified set of rectangular coordinates
    `w` - the width of the specified set of rectangular coordinates
    `h` - the height of the specified set of rectangular coordinates
  Returns:
    `true` if the interior of this `RoundRectangle2D` intersects the interior of the specified set of rectangular coordinates.

### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

  Tests if the interior of this `RoundRectangle2D` entirely contains the specified set of rectangular coordinates.
  Parameters:
    `x, y` - the coordinates of the specified set of rectangular coordinates
    `w` - the width of the specified set of rectangular coordinates
    `h` - the height of the specified set of rectangular coordinates
  Returns:
    `true` if the interior of this `RoundRectangle2D` entirely contains the specified set of rectangular coordinates; `false` otherwise.

### getPathIterator

    public PathIterator getPathIterator(AffineTransform at)

  Returns an iteration object that defines the boundary of this `RoundRectangle2D`. The iterator for this class is multi-threaded safe, which means that this `RoundRectangle2D` class guarantees that modifications to the geometry of this `RoundRectangle2D` object do not affect any iterations of that geometry that are already in process.
  Parameters:
    `at` - an optional `AffineTransform` to be applied to the coordinates as they are returned in the iteration, or `null` if untransformed coordinates are desired
  Returns:
    the `PathIterator` object that returns the geometry of the outline of this `RoundRectangle2D`, one segment at a time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.